libdbus-glib-1-2_0.106-1_amd64.deb


Advertisement

Description

libdbus-glib-1-2 - simple interprocess messaging system (GLib-based shared library)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libdbus-glib-1-2_0.106-1_amd64.deb
Package name libdbus-glib-1-2
Package version 0.106
Package release 1
Package architecture amd64
Package type deb
Category libs
Homepage http://www.freedesktop.org/wiki/Software/DBusBindings
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 65.53 KB
Installed size 211.00 KB
D-Bus is a message bus, used for sending messages between applications.
Conceptually, it fits somewhere in between raw sockets and CORBA in
terms of complexity.
This package provides a deprecated GLib-based shared library for
applications using the GLib interface to D-Bus. New code should use
GDBus, part of GLib, instead.
See the dbus description for more information about D-Bus in general.

Alternatives

Package Version Architecture Repository
libdbus-glib-1-2_0.106-1_i386.deb 0.106 i386 Ubuntu Main
libdbus-glib-1-2 - - -

Requires

Name Value
libc6 >= 2.14
libdbus-1-3 >= 1.9.14
libglib2.0-0 >= 2.31.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libdbus-glib-1-2_0.106-1_amd64.deb
Source Package dbus-glib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdbus-glib-1-2 deb package:
    # sudo apt-get install libdbus-glib-1-2

Files

Path
/usr/lib/x86_64-linux-gnu/libdbus-glib-1.so.2
/usr/lib/x86_64-linux-gnu/libdbus-glib-1.so.2.3.3
/usr/share/doc/libdbus-glib-1-2/AUTHORS
/usr/share/doc/libdbus-glib-1-2/NEWS.gz
/usr/share/doc/libdbus-glib-1-2/README
/usr/share/doc/libdbus-glib-1-2/changelog.Debian.gz
/usr/share/doc/libdbus-glib-1-2/copyright
/usr/share/lintian/overrides/libdbus-glib-1-2

Changelog

2016-01-14 - Simon McVittie <smcv@debian.org>
dbus-glib (0.106-1) unstable; urgency=medium
* New upstream release
* Mark as officially deprecated by changing section to oldlibs
(Closes: #780141), corresponding to an override change by the
ftp-masters (see #796808)
* Install missing man page for dbus-binding-tool
* Release to unstable
2015-02-09 - Simon McVittie <smcv@debian.org>
dbus-glib (0.104-1) experimental; urgency=medium
* New upstream release
- it is now specifically documented as deprecated
* Switch Vcs-Browser to cgit and https
* Standards-Version: 3.9.6, no further changes required
* debian/control: say it's deprecated
2014-02-12 - Simon McVittie <smcv@debian.org>
dbus-glib (0.102-1) unstable; urgency=low
* New upstream release
- update symbols file for new ABI
* Update dbus-daemon introspection data from dbus/1.8.0-1
* Bump debhelper compat level to 9
- use compilation options from dpkg-buildflags
- have compressed, multi-arch-safe debug symbols
- make the -dbg package Multi-Arch: same
* Redo debian/copyright to be machine-readable, and actually mention
the copyright holders
* Standards-Version: 3.9.5, no further changes required
2013-02-25 - Simon McVittie <smcv@debian.org>
dbus-glib (0.100.2-1) unstable; urgency=low
* New upstream release
- respin upstream tarball to fix the HTML documentation (Closes: #701623)
- no source changes
2013-02-15 - Simon McVittie <smcv@debian.org>
dbus-glib (0.100.1-1) unstable; urgency=high
* New upstream security release
- fixes insufficient checking leading to authentication bypass in
pam_fprintd (CVE-2013-0292)
2012-06-25 - Simon McVittie <smcv@debian.org>
dbus-glib (0.100-1) unstable; urgency=low
* Update dbus-daemon introspection (from dbus 1.6.2)
* New upstream version
- fixes the build with -Werror=format-security (patch from Ubuntu)
* Include /usr/share/dpkg/default.mk for recommended build flags
2011-09-30 - Simon McVittie <smcv@debian.org>
dbus-glib (0.98-1) unstable; urgency=low
* New upstream version
- fixes documentation
2011-09-21 - Simon McVittie <smcv@debian.org>
dbus-glib (0.96-1) unstable; urgency=low
* New upstream version
- remove patch from 0.94-2, fixed upstream
2011-07-01 - Simon McVittie <smcv@debian.org>
dbus-glib (0.94-4) unstable; urgency=low
* Override missing-pre-dependency-on-multiarch-support for the -dev
package, ftp-master doesn't have lintian 2.5.1 yet
2011-06-30 - Simon McVittie <smcv@debian.org>
dbus-glib (0.94-3) unstable; urgency=low
* Install to multiarch paths
* Audit usage of "dbus" vs. "D-Bus" in the package description, and override
lintian false-positive: in this case we've been careful to say what we mean

See Also

Package Description
libdbus-glib-1-dev_0.106-1_amd64.deb simple interprocess messaging system (GLib interface)
libdbus-glib-1-doc_0.106-1_all.deb simple interprocess messaging system (GLib library documentation)
libdbusmenu-glib-dev_12.10.3+16.04.20160223.1-0ubuntu1_amd64.deb library for passing menus over DBus - development files
libdbusmenu-glib-doc_12.10.3+16.04.20160223.1-0ubuntu1_all.deb library for passing menus over DBus - documentation
libdbusmenu-glib4_12.10.3+16.04.20160223.1-0ubuntu1_amd64.deb library for passing menus over DBus
libdbusmenu-gtk-dev_12.10.3+16.04.20160223.1-0ubuntu1_amd64.deb library for passing menus over DBus - GTK+ version developement files
libdbusmenu-gtk-doc_12.10.3+16.04.20160223.1-0ubuntu1_all.deb library for passing menus over DBus - GTK+ version documentation
libdbusmenu-gtk3-4_12.10.3+16.04.20160223.1-0ubuntu1_amd64.deb library for passing menus over DBus - GTK+ version
libdbusmenu-gtk3-dev_12.10.3+16.04.20160223.1-0ubuntu1_amd64.deb library for passing menus over DBus - GTK+ version developement files
libdbusmenu-gtk4_12.10.3+16.04.20160223.1-0ubuntu1_amd64.deb library for passing menus over DBus - GTK+ version
libdbusmenu-jsonloader-dev_12.10.3+16.04.20160223.1-0ubuntu1_amd64.deb library for passing menus over DBus - Test lib development files
libdbusmenu-jsonloader4_12.10.3+16.04.20160223.1-0ubuntu1_amd64.deb library for passing menus over DBus - Test lib
libdbusmenu-qt-dev_0.9.3+16.04.20160218-0ubuntu1_amd64.deb Qt implementation of the DBusMenu protocol (development)
libdbusmenu-qt-doc_0.9.3+16.04.20160218-0ubuntu1_all.deb Qt implementation of the DBusMenu protocol (documentation)
libdbusmenu-qt2_0.9.3+16.04.20160218-0ubuntu1_amd64.deb Qt implementation of the DBusMenu protocol
Advertisement
Advertisement